"use strict";
function getDevice(){
  if(screen.width > 767){
    return "pc";
  }
  return "sp";
}

$(function(){
  var windowObj = $(window);


  var pagetop = $(".pagetop");
  var windowHeight = windowObj.height();
  var topWindow = windowObj.scrollTop();
  pagetop.hide();
  windowObj.on("scroll", function(){
    if($(this).scrollTop() > 100){
      pagetop.fadeIn("slow");
    }else{
      pagetop.fadeOut("slow");
    }
  });
  pagetop.on("click", function(){
    $("body, html").animate({scrollTop: 0}, 500);
    return false;
  });

  $(".toggle").on("click", function(){
    $(".gnav").slideToggle(300);
    $(this).toggleClass("open");
  });

	

	
	
	
	
  $('a[href^="#"]').on("click",function(){
    var speed = 1000;
    var href = $(this).attr("href");
    var target = $(href === "" ? "html" : href);
    var position = target.offset().top;
    $("body, html").animate({scrollTop:position}, speed, "swing");
    return false;
  });



});
